package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcBrandMapper;
import com.ruoyi.oa.domain.CmcBrand;
import com.ruoyi.oa.service.ICmcBrandService;

/**
 * cmc品牌项目支付审批Service业务层处理
 * 
 * @author cmc
 * @date 2024-04-29
 */
@Service
public class CmcBrandServiceImpl implements ICmcBrandService 
{
    @Autowired
    private CmcBrandMapper cmcBrandMapper;

    /**
     * 查询cmc品牌项目支付审批
     * 
     * @param brandId cmc品牌项目支付审批主键
     * @return cmc品牌项目支付审批
     */
    @Override
    public CmcBrand selectCmcBrandByBrandId(String brandId)
    {
        return cmcBrandMapper.selectCmcBrandByBrandId(brandId);
    }

    /**
     * 查询cmc品牌项目支付审批列表
     * 
     * @param cmcBrand cmc品牌项目支付审批
     * @return cmc品牌项目支付审批
     */
    @Override
    public List<CmcBrand> selectCmcBrandList(CmcBrand cmcBrand)
    {
        return cmcBrandMapper.selectCmcBrandList(cmcBrand);
    }

    /**
     * 新增cmc品牌项目支付审批
     * 
     * @param cmcBrand cmc品牌项目支付审批
     * @return 结果
     */
    @Override
    public int insertCmcBrand(CmcBrand cmcBrand)
    {
        return cmcBrandMapper.insertCmcBrand(cmcBrand);
    }

    /**
     * 修改cmc品牌项目支付审批
     * 
     * @param cmcBrand cmc品牌项目支付审批
     * @return 结果
     */
    @Override
    public int updateCmcBrand(CmcBrand cmcBrand)
    {
        return cmcBrandMapper.updateCmcBrand(cmcBrand);
    }

    /**
     * 批量删除cmc品牌项目支付审批
     * 
     * @param brandIds 需要删除的cmc品牌项目支付审批主键
     * @return 结果
     */
    @Override
    public int deleteCmcBrandByBrandIds(String[] brandIds)
    {
        return cmcBrandMapper.deleteCmcBrandByBrandIds(brandIds);
    }

    /**
     * 删除cmc品牌项目支付审批信息
     * 
     * @param brandId cmc品牌项目支付审批主键
     * @return 结果
     */
    @Override
    public int deleteCmcBrandByBrandId(String brandId)
    {
        return cmcBrandMapper.deleteCmcBrandByBrandId(brandId);
    }
}
